Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "a01319c7-e709-4e9f-8291-4ee18e5f4bbf",
  "_parent_id": "b515c3b3-45b6-494e-9ac8-a1e3ba84aa2a",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "af45a55f-ab2d-43c5-8fc6-ac26c54a7b71",
  "company_id": "3d8eaf50-3917-446c-8466-7e25f014dac6",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "5ad3e4ec-1868-48e8-b006-e487c41f5cd4",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "49306296-37f3-41e0-89b8-1c982bf78e10",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "b4a4e2ed-f2ab-4d12-bc01-f4e5963d7401",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "eb221ffd-fbdd-43f5-beed-43c676baf82a",
    "company_code": "sample string 5",
    "company": {
      "id": "48ec8765-dc70-4198-89d6-f5045f0321c8",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-12T11:21:38.916486+00:00",
      "sales_territory_id": "6abb797c-5fa0-49a4-806e-ed4d1f14c492",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "64ea16a2-2094-4d80-90a6-7c4d3168d1b4",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "7539e162-beaf-45a6-b8a1-d5157999702a",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "9162803f-7bd9-406b-97d3-0bd8cd3107e5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "e422680d-6fdc-4a76-b17f-81ad8363c844",
          "db_currency_id": "09adb65f-cff0-4364-81e3-df3205ee0fb7",
          "db_language_id": "84e604cb-6f2e-4f3a-aab7-0b4d3e94cdbf",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-12T11:21:38.916486+00:00"
        },
        "modified_dateutc": "2026-11-12T11:21:38.916486+00:00"
      },
      "marketing_segment_id": "9d055533-6400-4bf0-b985-71c0c3b349d7",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "d1b5e8f0-d0b3-4d58-bb44-3910aa4f153b",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "7cfc40fc-83e5-495c-88a6-1c458724d399",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "7326d04e-dd4b-4423-bf2d-35479e8b9ae7",
      "db_country_code": "sample string 28",
      "feelist_id": "4b87f8c9-08f9-477b-bea9-4f749b214f8f",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "21b12d64-1821-48ef-8f1e-d01a0a752d6c",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "d55473a3-91c4-4f01-8b4a-eeb1210716a4",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-12T11:21:38.916486+00:00",
        "db_currency_id": "10a96a5b-b896-4ed6-9d36-322d9b044efc",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "07d0b693-5e98-4702-89e3-e4dfae07186a",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "61bbae75-fb71-4ee7-b65d-81138b48cfd6",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "9b4a54f5-fdf4-40b6-82e2-30ea75fb9610",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "d4be5b7b-13d7-4bc2-8f41-ef69b0edc042",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "e17eee7b-2978-4979-b548-54c7dcf1709d",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "c35c729d-d05d-4d7a-988f-635690291d84",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "ef7faf70-aafc-47c2-bfec-253014426806",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-12T11:21:38.916486+00:00"
      },
      "company_sector_id": "771f2b74-9156-42d0-b479-76e7746c816a",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "ddf83cde-13eb-41f4-b6bf-364478ce881b",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "41d7440f-3ba8-4c3e-9d2a-ede2c811d52a",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "d135ea4b-a30e-4742-b496-a1f1f7c95404",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "016006de-0fc4-4b90-aa6e-2d386ea48651",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-12T11:21:38.916486+00:00",
      "id2": 60
    },
    "db_language_id": "3ae8286f-bb30-47c8-bc28-40afb8d0733b",
    "db_language_code": "sample string 7",
    "db_title_id": "d1e7eeaa-fec4-420b-9050-125ff861ca74",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-12T11:21:38.916486+00:00",
    "create_date": "2026-11-12T11:21:38.916486+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-12T11:21:38.916486+00:00"
  },
  "modified_dateutc": "2026-11-12T11:21:38.916486+00:00",
  "id2": 22
}